Bug 41391 - Ownership conflict in "named.log" rotation
Ownership conflict in "named.log" rotation
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-19 15:32 EDT by Steve Snyder
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: bind-9.2.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-27 10:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2001-05-19 15:32:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; 0.7)

Description of problem:
File "/etc/logrotate.d/named" is used to rotate BIND's log file, specified
as "/var/log/named.log".  This log file cannot exist, though, because BIND
(user=named, group=named) cannot write to the specified "/var/log" directory.

How reproducible:

Steps to Reproduce:
1. Install bind-9.1.0-10 RPM.


Actual Results:  Installation of this RPM installs the file
"/etc/logrotate.d/named";  it creates the user "named" and the group
"named"; it installs the BIND startup script with runs named with the
newly-created user & group identities.

Additional info:
Comment 1 Steve Snyder 2001-06-06 01:47:40 EDT
Hello?  The bug has been New for over two weeks.

Comment 2 Karl schmidt 2001-07-30 13:36:43 EDT
I noticed this to - but I don't see the problem - log rotate works? Why is this 
a problem?
Comment 3 Steve Snyder 2001-07-30 13:52:01 EDT
Perhaps I expressed my self badly.  Logrotate will indeed rotate named.log.  The
problem is named cannot write the logfile to be rotated.

The named daemon, running as user and group "named" cannot write to /var/log
because that directory is owned by "root".  Thus the file "/var/log/named.log"
which logrotate will attempt to rotate cannot exist because named cannot write
to it.
To sum up: there is no problem with the behavior of logrotate.  The problem is
that bind cannot write to "/var/log/named.log".
Comment 4 Karsten Hopp 2002-07-22 10:28:38 EDT
Can you please test the latest bind package from rawhide (9.2.1-6) 
which will be available in rawhide soon ? 
I think this is fixed now, but would like to get confirmation.
Comment 5 Steve Snyder 2005-10-27 06:55:57 EDT
Four years later: it seems to be fixed.  Please close this issue.
Comment 6 Jason Vas Dias 2005-10-27 10:27:37 EDT
This BZ was in "MODIFIED" state meaning that changes had gone in for it; the
bug reporter is then expected to close as CURRENTRELEASE / RAWHIDE once the
fix is verified.
Now closing - thank you.

Note You need to log in before you can comment on or make changes to this bug.